%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define packagename PEAK-Rules
%define devrev  2581

%define docs README.txt AST-Builder.txt Code-Generation.txt Criteria.txt DESIGN.txt Indexing.txt Predicates.txt Syntax-Matching.txt

Name:           python-peak-rules
Version:        0.5a1.dev
Release:        1.%{devrev}%{?dist}
Summary:        Generic functions and business rules support systems

Group:          Development/Languages
License:        Python or ZPLv2.1
URL:            http://pypi.python.org/pypi/PEAK-Rules
Source0:        http://peak.telecommunity.com/snapshots/%{packagename}-%{version}-r%{devrev}.tar.gz
Patch0:         %{name}-setup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel

Requires:       python-peak-util-assembler >= 0.3
Requires:       python-peak-util-addons >= 0.6
Requires:       python-peak-util-extremes >= 1.1
Requires:       python-decoratortools >= 1.7

%description
PEAK-Rules is a highly-extensible framework for creating and using generic
functions, from the very simple to the very complex.  Out of the box, it
supports multiple-dispatch on positional arguments using tuples of types,
full predicate dispatch using strings containing Python expressions, and
CLOS-like method combining.  (But the framework allows you to mix and match
dispatch engines and custom method combinations, if you need or want to.)

%prep
%setup -q -n %{packagename}-%{version}-r%{devrev}
%patch0 -b .setup
%{__chmod} -x %{docs}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{docs}
%{python_sitelib}/*

%changelog
* Tue Oct 14 2008 Luke Macken <lmacken@redhat.com> - 0.5a1.dev-1.2581
- Revision bump to fix upgrade path

* Sat Oct 11 2008 Luke Macken <lmacken@redhat.com> - 0.5a1.dev-0.1.2581
- Update to the latest 0.5a1 development snapshot
- Fix the description

* Sun Aug  3 2008 Luke Macken <lmacken@redhat.com> - 0.5a1.dev-0.2569
- Initial package for Fedora
